<template>
  <el-dialog :close-on-click-modal="false" custom-class="edit-dialog" append-to-body width="60%" :close-on-press-escape="false"
    :visible.sync="dialogVisible" title="选择车辆">
    <SimpleList style="width: 100%;" @rowClick="rowClick"></SimpleList>
    <span slot="footer" class="dialog-footer">
      <el-button @click="dialogVisible = false">取消</el-button>
    </span>
  </el-dialog>
</template>

<script>
import SimpleList from './SimpleList.vue';

export default {
  name: 'SelectDialog',
  components: { SimpleList },
  props: {
    
  },
  data() {
    return {
      dialogVisible: false
    }
  },
  methods: {
    open() {
      this.dialogVisible = true;
    },
    rowClick(row) {
      this.dialogVisible = false;
      this.$emit('confirm', row);
    }
  }
}
</script>

<style scoped lang="scss">
</style>